#!/bin/bash
wget http://downloads.asterisk.org/pub/telephony/dahdi-linux-complete/releases/dahdi-linux-complete-2.6.1+2.6.1.tar.gz

wget http://www.bsmdev.com/Downloads/dahdi-linux-oslec-2.3.0.1+2.3.0.tar.gz

gzip -d ./*.gz

tar -xf dahdi-linux-complete-2.6.1+2.6.1.tar
ln -s dahdi-linux-complete-2.6.1+2.6.1 dahdi-linux-complete

tar -xf dahdi-linux-oslec-2.3.0.1+2.3.0.tar
ln -s dahdi-linux-oslec-2.3.0.1+2.3.0 dahdi-linux-oslec

cd dahdi-linux-oslec
patch < ../patches/oslec-dahdi-2.5.0.diff
cd ..

cp ./cwain/*.[ch] ./dahdi-linux-complete/linux/drivers/dahdi/
cp ./qozap/*.[ch] ./dahdi-linux-complete/linux/drivers/dahdi/
cp ./ztgsm/*.[ch] ./dahdi-linux-complete/linux/drivers/dahdi/

cp ./dahdi-linux-oslec/* ./dahdi-linux-complete/linux/drivers/dahdi/

cd dahdi-linux-complete/tools
patch < ../../patches/dahdi_pty.diff
cd ../../

cd dahdi-linux-complete

make DAHDI_MODULES_EXTRA="cwain.o qozap.o ztgsm.o dahdi_echocan_oslec.o" all
make DAHDI_MODULES_EXTRA="cwain.o qozap.o ztgsm.o dahdi_echocan_oslec.o" install

# make sure that qozap is the only driver for the hfc4s/8s chipsets
echo blacklist hfcmulti >> /etc/modprobe.d/blacklist.conf
echo blacklist hfc4s8s_l1 >> /etc/modprobe.d/blacklist.conf
echo blacklist wcb4xxp >> /etc/modprobe.d/blacklist.conf

echo cwain >> /etc/dahdi/modules
echo qozap >> /etc/dahdi/modules
echo ztgsm >> /etc/dahdi/modules
